summaryrefslogtreecommitdiffstats
path: root/scripts/oe-buildenv-internal
diff options
context:
space:
mode:
authorJuro Bystricky <juro.bystricky@intel.com>2015-12-16 13:24:07 -0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2015-12-22 16:08:42 +0000
commit9ae79973cfdabd1b4dacddce32735c65fe3544e4 (patch)
tree8263d523679548a26fbd5816ba8e75fe233e0556 /scripts/oe-buildenv-internal
parent2262fdb256954b22dadb2f7c6922e6046c269742 (diff)
downloadopenembedded-core-contrib-9ae79973cfdabd1b4dacddce32735c65fe3544e4.tar.gz
oe-buildenv-internal: fix return code
The script oe-buildenv-internal is called from oe-init-build-env. Make sure oe-init-buildenv does not return an error if BB_ENV_EXTRAWHITE is already set, otherwise this will cause oe-init-build-env to fail. Signed-off-by: Juro Bystricky <juro.bystricky@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
Diffstat (limited to 'scripts/oe-buildenv-internal')
-rwxr-xr-xscripts/oe-buildenv-internal4
1 files changed, 3 insertions, 1 deletions
diff --git a/scripts/oe-buildenv-internal b/scripts/oe-buildenv-internal
index 51e449ac3b..457763b794 100755
--- a/scripts/oe-buildenv-internal
+++ b/scripts/oe-buildenv-internal
@@ -110,4 +110,6 @@ SDKMACHINE BB_NUMBER_THREADS BB_NO_NETWORK PARALLEL_MAKE GIT_PROXY_COMMAND \
SOCKS5_PASSWD SOCKS5_USER SCREENDIR STAMPS_DIR"
echo "$BB_ENV_EXTRAWHITE" | grep -q "${BB_ENV_EXTRAWHITE_OE}"
-[ $? != 0 ] && export BB_ENV_EXTRAWHITE="${BB_ENV_EXTRAWHITE_OE} $BB_ENV_EXTRAWHITE"
+if [ $? != 0 ]; then
+ export BB_ENV_EXTRAWHITE="${BB_ENV_EXTRAWHITE_OE} $BB_ENV_EXTRAWHITE"
+fi